[![Canfeit Home](https://avatars0.githubusercontent.com/u/6510795?s=40)](https://github.com/canfeit)
(Canfei[🔊](http://dict.youdao.com/dictvoice?audio=Canfei)js is developing)

[![GitHub Stars](https://img.shields.io/github/stars/canfeit/canfei.svg)](https://github.com/canfeit/canfei)
[![Node Version](https://img.shields.io/node/v/canfei.svg)](https://nodejs.org)
[![Meteor](https://img.shields.io/badge/meteor-npm-blue.svg)](https://github.com/canfeit/canfei#installation)
[![Build Status](https://travis-ci.org/canfeit/canfei.svg)](https://travis-ci.org/canfeit/canfei)
[![Docker Build](https://img.shields.io/docker/build/canfeit/node-ci.svg)](https://hub.docker.com/r/canfeit/node-ci/)
[![Greenkeeper](https://badges.greenkeeper.io/canfeit/canfei.svg)](https://greenkeeper.io/)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-blue.svg)](https://github.com/canfeit/canfei/pulls)

| ![V8][v8] | ![Chrome][chrome] | ![Electron][electron] | ![NW.js][nw.js] | ![Firefox][firefox] | ![Servo][servo] | ![Opera][opera] | ![Neon][neon] | ![Edge][edge] | ![IE][ie] | ![Safari][safari] |
| :-------: | :---------------: | :-------------------: | :-------------: | :-----------------: | :-------------: | :-------------: | :-----------: | :-----------: | :-------: | :---------------: |
|     ✔     |         ✔         |           ✔           |        ✔        |          ✔          |        ✔        |        ✔        |       ✔       |       ✔       |     ❌     |         ✔         |

**Canfei**:baby_chick:js is a JavaScript utility library delivering extras based on ES2015,for both Node.js and Browser. 

## Table of Contents

1.  [Installation](#installation)
2.  [Examples](#examples)
3.  [Usage](https://canfeit.github.io/canfei/index.html)

## Installation

[![NPM](https://nodei.co/npm/canfei.png?downloads=true&downloadRank=true&stars=true)](https://www.npmjs.com/package/canfei)
[![Code Style](https://cdn.rawgit.com/feross/standard/master/badge.svg)](https://github.com/feross/standard)

:baby_chick:**Canfei** requires **node v7.6.0** or higher for ES2015 and async function support.

In Meteor:

    $ meteor npm i canfei

In Node:

    $ npm i canfei

## Examples

In Browser:

```html
<script src="canfei.js"></script>
```

In Node:

```js
const {complexType} = require('canfei')
```

```js
/**
 * JavaScript utility library.
 */

console.log(complexType(undefined)) // 'Undefined'
```

## [Usage](https://canfeit.github.io/canfei/index.html)

## Inspired by:

-   [You-Dont-Need-jQuery](https://github.com/oneuijs/You-Dont-Need-jQuery)
-   [You-Dont-Need-Lodash-Underscore](https://github.com/you-dont-need/You-Dont-Need-Lodash-Underscore)

[v8]: https://raw.github.com/alrra/browser-logos/master/src/v8/v8_48x48.png

[edge]: https://raw.github.com/alrra/browser-logos/master/src/edge/edge_48x48.png

[nw.js]: https://raw.github.com/alrra/browser-logos/master/src/nw.js/nw.js_48x48.png

[chrome]: https://raw.github.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png

[safari]: https://raw.github.com/alrra/browser-logos/master/src/safari/safari_48x48.png

[firefox]: https://raw.github.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png

[electron]: https://raw.github.com/alrra/browser-logos/master/src/electron/electron_48x48.png

[neon]: https://raw.github.com/alrra/browser-logos/master/src/opera-neon/opera-neon_48x48.png

[opera]: https://raw.github.com/alrra/browser-logos/master/src/opera-beta/opera-beta_48x48.png

[servo]: https://raw.github.com/alrra/browser-logos/master/src/browser.html/browser.html_48x48.png

[ie]: https://raw.github.com/alrra/browser-logos/master/src/archive/internet-explorer_9-11/internet-explorer_9-11_48x48.png
